#!/bin/bash

#################################################################################
# Linux Management Providers (LMP), SSH provider package
# Copyright (C) 2010 Feng Zhanlei, REDFLAG <fengzhanlei@redflag-linux.com>
# 
# This program is being developed under the "OpenDRIM" project.
# The "OpenDRIM" project web page: http://opendrim.sourceforge.net
# The "OpenDRIM" project mailing list: opendrim@googlegroups.com
# 
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; version 2
# of the License.
# 
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
# 
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
#################################################################################

#################################################################################
# To contributors, please leave your contact information in this section
# AND comment your changes in the source code.
# 
# Modified by Guillaume BOTTEX <guillaumebottex@uxsystem.net>, UXSystem, 2010
#################################################################################

if test "$3" = pegasus
then
	
	cimmof -aE -n $4 $6/mof/OpenDRIM_RegisteredSSHProfile.mof

	OUTFILE=./TEMP_REGISTRATION
	
cat >> $OUTFILE << EOFC
instance of PG_ProviderModule {
Caption = "OpenDRIM_RegisteredSSHProfile provider module";
Name = "SSH_OpenDRIM_RegisteredSSHProfileModule";
Location = "cmpiSSH_OpenDRIM_RegisteredSSHProfileProvider";
Vendor = "$2";
Version = "$5";
InterfaceType = "CMPI";
InterfaceVersion = "2.0.0";
};

instance of PG_Provider {
Caption = "OpenDRIM_RegisteredSSHProfile provider";
Name = "SSH_OpenDRIM_RegisteredSSHProfileProvider";
ProviderModuleName = "SSH_OpenDRIM_RegisteredSSHProfileModule";
};

instance of PG_ProviderCapabilities {
Caption = "OpenDRIM_RegisteredSSHProfile provider capabilities";
ProviderModuleName = "SSH_OpenDRIM_RegisteredSSHProfileModule";
ProviderName = "SSH_OpenDRIM_RegisteredSSHProfileProvider";
ClassName = "OpenDRIM_RegisteredSSHProfile";
ProviderType = {2, 5};
Namespaces = {"$4"};
SupportedProperties = {"Caption", "Description", "ElementName", "Generation", "InstanceID", "OtherSpecificationType", "RegisteredOrganization", "OtherRegisteredOrganization", "RegisteredName", "RegisteredVersion", "AdvertiseTypes", "AdvertiseTypeDescriptions", "SpecificationType", "ImplementedFeatures"};
SupportedMethods = {"CloseConformantInstances", "OpenConformantInstances", "PullConformantInstances"};
CapabilityID = "SSH_OpenDRIM_RegisteredSSHProfile";
};

EOFC
	
	cimmof -n root/PG_InterOp $OUTFILE
	
	rm -f $OUTFILE
	
fi

if test "$3" = sfcb
then
	
	OUTFILE=./OpenDRIM_RegisteredSSHProfile.reg
	
cat >> $OUTFILE <<EOFC
[OpenDRIM_RegisteredSSHProfile]   
   provider: SSH_OpenDRIM_RegisteredSSHProfileProvider
   location: cmpiSSH_OpenDRIM_RegisteredSSHProfileProvider
   type: instance method
   namespace: $4
#
EOFC
	
	sfcbstage -r $OUTFILE -n $4 $6/mof/OpenDRIM_RegisteredSSHProfile.mof
	
	rm -f $OUTFILE
	
	sfcbrepos -f
	
fi

if test "$3" = openwbem
then
	
	OUTFILE=./OpenDRIM_RegisteredSSHProfile-reg.mof
	rm -f $OUTFILE
	sed "s/Provider *( *\"cmpi:/Provider(\"cmpi::/g" < $6/mof/OpenDRIM_RegisteredSSHProfile.mof >> $OUTFILE
	owmofc -u http://localhost/$4 $OUTFILE
	
	rm -f $OUTFILE
	
fi
