#!/bin/bash

#################################################################################
# Linux Management Providers (LMP), SSH provider package
# Copyright (C) 2010 Feng Zhanlei, REDFLAG <fengzhanlei@redflag-linux.com>
# 
# This program is being developed under the "OpenDRIM" project.
# The "OpenDRIM" project web page: http://opendrim.sourceforge.net
# The "OpenDRIM" project mailing list: opendrim@googlegroups.com
# 
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; version 2
# of the License.
# 
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
# 
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
#################################################################################

#################################################################################
# To contributors, please leave your contact information in this section
# AND comment your changes in the source code.
# 
# Modified by Guillaume BOTTEX <guillaumebottex@uxsystem.net>, UXSystem, 2010
#################################################################################

if test "$3" = pegasus
then
	
	cimmof -aE -n $1 $6/mof/OpenDRIM_SSHCapabilities.mof

	OUTFILE=./TEMP_REGISTRATION
	
cat >> $OUTFILE << EOFC
instance of PG_ProviderModule {
Caption = "OpenDRIM_SSHCapabilities provider module";
Name = "SSH_OpenDRIM_SSHCapabilitiesModule";
Location = "cmpiSSH_OpenDRIM_SSHCapabilitiesProvider";
Vendor = "$2";
Version = "$5";
InterfaceType = "CMPI";
InterfaceVersion = "2.0.0";
};

instance of PG_Provider {
Caption = "OpenDRIM_SSHCapabilities provider";
Name = "SSH_OpenDRIM_SSHCapabilitiesProvider";
ProviderModuleName = "SSH_OpenDRIM_SSHCapabilitiesModule";
};

instance of PG_ProviderCapabilities {
Caption = "OpenDRIM_SSHCapabilities provider capabilities";
ProviderModuleName = "SSH_OpenDRIM_SSHCapabilitiesModule";
ProviderName = "SSH_OpenDRIM_SSHCapabilitiesProvider";
ClassName = "OpenDRIM_SSHCapabilities";
ProviderType = {2, 5};
Namespaces = {"$1"};
SupportedProperties = {"Caption", "Description", "Generation", "InstanceID", "ElementName", "ElementNameEditSupported", "MaxElementNameLen", "RequestedStatesSupported", "ElementNameMask", "StateAwareness", "MaxConnections", "MaxListeningPorts", "ListeningPortManagementSupported", "SupportedSSHVersions", "OtherSupportedSSHVersion", "SupportedEncryptionAlgorithms", "OtherSupportedEncryptionAlgorithm"};
SupportedMethods = {"CreateGoalSettings"};
CapabilityID = "SSH_OpenDRIM_SSHCapabilities";
};

EOFC
	
	cimmof -n root/PG_InterOp $OUTFILE
	
	rm -f $OUTFILE
	
fi

if test "$3" = sfcb
then
	
	OUTFILE=./OpenDRIM_SSHCapabilities.reg
	
cat >> $OUTFILE <<EOFC
[OpenDRIM_SSHCapabilities]   
   provider: SSH_OpenDRIM_SSHCapabilitiesProvider
   location: cmpiSSH_OpenDRIM_SSHCapabilitiesProvider
   type: instance method
   namespace: $1
#
EOFC
	
	sfcbstage -r $OUTFILE -n $1 $6/mof/OpenDRIM_SSHCapabilities.mof
	
	rm -f $OUTFILE
	
	sfcbrepos -f
	
fi

if test "$3" = openwbem
then
	
	OUTFILE=./OpenDRIM_SSHCapabilities-reg.mof
	rm -f $OUTFILE
	sed "s/Provider *( *\"cmpi:/Provider(\"cmpi::/g" < $6/mof/OpenDRIM_SSHCapabilities.mof >> $OUTFILE
	owmofc -u http://localhost/$1 $OUTFILE
	
	rm -f $OUTFILE
	
fi
