#!/bin/bash

#################################################################################
# Linux Management Providers (LMP), SSH provider package
# Copyright (C) 2010 Feng Zhanlei, REDFLAG <fengzhanlei@redflag-linux.com>
# 
# This program is being developed under the "OpenDRIM" project.
# The "OpenDRIM" project web page: http://opendrim.sourceforge.net
# The "OpenDRIM" project mailing list: opendrim@googlegroups.com
# 
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; version 2
# of the License.
# 
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
# 
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
#################################################################################

#################################################################################
# To contributors, please leave your contact information in this section
# AND comment your changes in the source code.
# 
# Modified by Guillaume BOTTEX <guillaumebottex@uxsystem.net>, UXSystem, 2010
#################################################################################

if test "$2" = pegasus
then
	
	cimprovider -d -m SSH_OpenDRIM_SSHConformsToProfileModule
	cimprovider -r -m SSH_OpenDRIM_SSHConformsToProfileModule
	
	OUTFILE=./TEMP_REGISTRATION
	
cat >> $OUTFILE <<EOFC
<?xml version="1.0" encoding="utf-8" ?>
<CIM CIMVERSION="2.0" DTDVERSION="2.0">
 <MESSAGE ID="1" PROTOCOLVERSION="1.0">
  <SIMPLEREQ>
   <IMETHODCALL NAME="DeleteClass">
    <LOCALNAMESPACEPATH>
EOFC
	
	namespace=$1
	index=`expr index $namespace /`
	
	while [ $index != 0 ]
	do
	  namespaceFragment=${namespace:0:index-1}
	  namespace=${namespace:index:${#namespace}-index}
	  index=`expr index $namespace /`
cat >> $OUTFILE <<EOFC
     <NAMESPACE NAME="$namespaceFragment"></NAMESPACE>
EOFC
	done
	
cat >> $OUTFILE <<EOFC
     <NAMESPACE NAME="$namespace"></NAMESPACE>
EOFC
	
cat >> $OUTFILE <<EOFC
    </LOCALNAMESPACEPATH>
    <IPARAMVALUE NAME="ClassName">
     <CLASSNAME NAME="OpenDRIM_SSHConformsToProfile"/>
    </IPARAMVALUE>
   </IMETHODCALL>
  </SIMPLEREQ>
 </MESSAGE>
</CIM>

EOFC
	
	PATH=$PATH:$PEGASUS_HOME/bin
	wbemexec $OUTFILE
	
	rm -f $OUTFILE
cat >> $OUTFILE <<EOFC
<?xml version="1.0" encoding="utf-8" ?>
<CIM CIMVERSION="2.0" DTDVERSION="2.0">
 <MESSAGE ID="1" PROTOCOLVERSION="1.0">
  <SIMPLEREQ>
   <IMETHODCALL NAME="DeleteClass">
    <LOCALNAMESPACEPATH>
EOFC
	
	namespace=$3
	index=`expr index $namespace /`
	
	while [ $index != 0 ]
	do
	  namespaceFragment=${namespace:0:index-1}
	  namespace=${namespace:index:${#namespace}-index}
	  index=`expr index $namespace /`
cat >> $OUTFILE <<EOFC
     <NAMESPACE NAME="$namespaceFragment"></NAMESPACE>
EOFC
	done
	
cat >> $OUTFILE <<EOFC
     <NAMESPACE NAME="$namespace"></NAMESPACE>
EOFC
	
cat >> $OUTFILE <<EOFC
    </LOCALNAMESPACEPATH>
    <IPARAMVALUE NAME="ClassName">
     <CLASSNAME NAME="OpenDRIM_SSHConformsToProfile"/>
    </IPARAMVALUE>
   </IMETHODCALL>
  </SIMPLEREQ>
 </MESSAGE>
</CIM>

EOFC
	
	wbemexec $OUTFILE
	
	rm -f $OUTFILE

fi

if test "$2" = sfcb
then
	
	OUTFILE=./OpenDRIM_SSHConformsToProfile.reg
	
cat >> $OUTFILE <<EOFC
[OpenDRIM_SSHConformsToProfile]   
   provider: SSH_OpenDRIM_SSHConformsToProfileProvider
   location: cmpiSSH_OpenDRIM_SSHConformsToProfileProvider
   type: instance association
   namespace: $1 $3
#
EOFC
	
	sfcbunstage -r $OUTFILE -n $1 OpenDRIM_SSHConformsToProfile.mof
	sfcbunstage -r $OUTFILE -n $3 OpenDRIM_SSHConformsToProfile.mof
	
	rm -f $OUTFILE
	
	sfcbrepos -f
	
fi

if test "$2" = openwbem
then
	
	OUTFILE=./OpenDRIM_SSHConformsToProfile-reg.mof
	rm -f $OUTFILE
	sed "s/Provider *( *\"cmpi:/Provider(\"cmpi::/g" < $4/mof/OpenDRIM_SSHConformsToProfile.mof >> $OUTFILE
	owmofc -u http://localhost/$1 -r $OUTFILE
	owmofc -u http://localhost/$3 -r $OUTFILE

	rm -f $OUTFILE
	
fi
